LiveDataPluginManager (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.LiveDataPluginManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LiveDataPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.LiveDataPluginManager

    public class LiveDataPluginManager

extends PluginManager

Field Summary

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`LiveDataPluginManager(java.util.Properties props)`

Method Summary
`java.lang.String[]` | `getCommands(java.lang.String type)`
`ConfigSchema` | `getConfigSchema(java.lang.String type, java.lang.String command)`
`java.lang.String` | `getData(java.lang.String type, java.lang.String command, ConfigResponse config)`
`java.lang.String` | `getName()`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiveDataPluginManager

    public LiveDataPluginManager(java.util.Properties props)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### getData

    public java.lang.String getData(java.lang.String type,
                                    java.lang.String command,
                                    ConfigResponse config)
                             throws PluginException

  Throws:
    `PluginException`

### getCommands

    public java.lang.String[] getCommands(java.lang.String type)
                                   throws PluginException

  Throws:
    `PluginException`

### getConfigSchema

    public ConfigSchema getConfigSchema(java.lang.String type,
                                        java.lang.String command)
                                 throws PluginException

  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.